Cancel product subscription
curl --request DELETE \
--url 'https://api.vida.dev/api/v2/product/cancel?token=' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"details": "<string>"
}
'import requests
url = "https://api.vida.dev/api/v2/product/cancel?token="
payload = {
"reason": "<string>",
"details": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', details: '<string>'})
};
fetch('https://api.vida.dev/api/v2/product/cancel?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Subscription cancelled"
}{
"success": false,
"message": "A descriptive error message"
}Billing
Cancel product subscription
Cancel the current product subscription for the authenticated account
DELETE
/
api
/
v2
/
product
/
cancel
Cancel product subscription
Authorizations
Vida API Token
Query Parameters
Target account ID when acting on behalf of another account
⌘I